# RSShub

RSSHub is an open source, easy to use, and extensible RSS feed generator. It's capable of generating RSS feeds from pretty much everything.

<br>

- [parameters](https://docs.rsshub.app/en/social-media.html)
- [GitHub repo](https://github.com/DIYgod/RSSHub)

# docker-compose.yml

```yml
---
services:
    rsshub:
        image: diygod/rsshub
        restart: always
        ports:
            - '1200:1200'
        environment:
            NODE_ENV: production
            CACHE_TYPE: redis
            REDIS_URL: 'redis://redis:6379/'
            PUPPETEER_WS_ENDPOINT: 'ws://browserless:3000'  
        depends_on:
            - redis
            - browserless  

    browserless:  
        image: browserless/chrome  
        restart: always  
        ulimits:  
          core:  
            hard: 0  
            soft: 0  

    redis:
        image: redis:alpine
        restart: always
        volumes:
            - redis-data:/data

volumes:
    redis-data:
```
